Package org.apache.aries.jax.rs.whiteboard.internal

## Class ServiceReferenceRegistry

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.ServiceReferenceRegistry

All Implemented Interfaces:
  `AutoCloseable`

    public class ServiceReferenceRegistry
    extends Object
    implements AutoCloseable

### Constructor Summary

Constructors
`ServiceReferenceRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `register​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `unregister​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`org.apache.aries.component.dsl.OSGi<org.apache.aries.component.dsl.CachingServiceReference<?>>` `waitFor​(String filterString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceReferenceRegistry

    public ServiceReferenceRegistry()

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`

#### waitFor

    public org.apache.aries.component.dsl.OSGi<org.apache.aries.component.dsl.CachingServiceReference<?>> waitFor​(String filterString)

#### register

    public void register​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### unregister

    public void unregister​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)